Package org.apache.qpid.proton.codec

# Class UnsignedByteType

java.lang.Object
org.apache.qpid.proton.codec.UnsignedByteType

All Implemented Interfaces:
  `AMQPType<UnsignedByte>`, `PrimitiveType<UnsignedByte>`

public class UnsignedByteType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`UnsignedByteType.UnsignedByteEncoding`

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, UnsignedByte value)`
`Collection<UnsignedByteType.UnsignedByteEncoding>`
`getAllEncodings()`
`UnsignedByteType.UnsignedByteEncoding`
`getCanonicalEncoding()`
`UnsignedByteType.UnsignedByteEncoding`
`getEncoding(UnsignedByte val)`
`Class<UnsignedByte>`
`getTypeClass()`
`final void`
`write(UnsignedByte val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<UnsignedByte> getTypeClass()

### getEncoding

public UnsignedByteType.UnsignedByteEncoding getEncoding(UnsignedByte val)

### fastWrite

public void fastWrite(EncoderImpl encoder, UnsignedByte value)

### getCanonicalEncoding

public UnsignedByteType.UnsignedByteEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<UnsignedByteType.UnsignedByteEncoding> getAllEncodings()

### write

public final void write(UnsignedByte val)

Specified by:
  `write` in interface `AMQPType<T>`